OGRE: OgreBites::TrayListener Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::TrayListener Class Reference
Optional Components » Bites » Trays

Listener class for responding to tray events. More...

`#include <OgreTrays.h>`

Inheritance diagram for OgreBites::TrayListener:
[legend]

## Public Member Functions
virtual | ~TrayListener ()
virtual void | buttonHit (Button *button)
virtual void | checkBoxToggled (CheckBox *box)
virtual void | itemSelected (SelectMenu *menu)
virtual void | labelHit (Label *label)
virtual void | okDialogClosed (const Ogre::DisplayString &message)
virtual void | sliderMoved (Slider *slider)
virtual void | yesNoDialogClosed (const Ogre::DisplayString &question, bool yesHit)

## Detailed Description

Listener class for responding to tray events.

## Constructor & Destructor Documentation

## ◆ ~TrayListener()

virtual OgreBites::TrayListener::~TrayListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ buttonHit()

virtual void OgreBites::TrayListener::buttonHit | ( | Button * | button | ) |
| inlinevirtual

Reimplemented in OgreBites::TrayManager.

## ◆ itemSelected()

virtual void OgreBites::TrayListener::itemSelected | ( | SelectMenu * | menu | ) |
| inlinevirtual

## ◆ labelHit()

virtual void OgreBites::TrayListener::labelHit | ( | Label * | label | ) |
| inlinevirtual

Reimplemented in OgreBites::TrayManager.

## ◆ sliderMoved()

virtual void OgreBites::TrayListener::sliderMoved | ( | Slider * | slider | ) |
| inlinevirtual

## ◆ checkBoxToggled()

virtual void OgreBites::TrayListener::checkBoxToggled | ( | CheckBox * | box | ) |
| inlinevirtual

## ◆ okDialogClosed()

virtual void OgreBites::TrayListener::okDialogClosed | ( | const Ogre::DisplayString & | message | ) |
| inlinevirtual

## ◆ yesNoDialogClosed()

virtual void OgreBites::TrayListener::yesNoDialogClosed | ( | const Ogre::DisplayString & | question,
|  | bool | yesHit )
| inlinevirtual

The documentation for this class was generated from the following file:

- OgreTrays.h